1

Please help me with this issue MariaDB not starting. Its a production server so not able to reinstall and clean the data at all.

(This command executed by me)

systemctl -l status mariadb.service
mariadb.service - MariaDB 10.1.36 database server

Loaded: loaded (/usr/lib/systemd/system/mariadb.service; enabled; vendor preset: disabled)

Drop-In: /etc/systemd/system/mariadb.service.d
           └─migrated-from-my.cnf-settings.conf

Active: failed (Result: exit-code) since Mon 2020-01-20 10:58:08 IST; 3s ago

Docs: man:mysqld(8)
           https://mariadb.com/kb/en/library/systemd/

Process: 8176 ExecStart=/usr/sbin/mysqld $MYSQLD_OPTS $_WSREP_NEW_CLUSTER $_WSREP_START_POSITION (code=exited, status=1/FAILURE)

Process: 8165 ExecStartPre=/bin/sh -c [ ! -e /usr/bin/galera_recovery ] && VAR= ||   VAR=`/usr/bin/galera_recovery`; [ $? -eq 0 ]   && systemctl set-environment _WSREP_START_POSITION=$VAR || exit 1 (code=exited, status=0/SUCCESS)

Process: 8158 ExecStartPre=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
 Main PID: 8176 (code=exited, status=1/FAILURE)

Status: "MariaDB server is down"

2020-01-20 10:58:03 139801831975168 [ERROR] Plugin 'InnoDB' init function returned error.

2020-01-20 10:58:03 139801831975168 [ERROR] Plugin 'InnoDB' registration as a STORAGE ENGINE failed.

2020-01-20 10:58:03 139801831975168 [Note] Plugin 'FEEDBACK' is disabled.

2020-01-20 10:58:03 139801831975168 [ERROR] Unknown/unsupported storage engine: InnoDB

2020-01-20 10:58:03 139801831975168 [ERROR] Aborting
Error in my_thread_global_end(): 1 threads didn't exit
mariadb.service: main process exited, code=exited, status=1/FAILURE

Failed to start MariaDB 10.1.36 database server.

Unit mariadb.service entered failed state.

mariadb.service failed.
3
  • Maybe a memory issue: stackoverflow.com/questions/26439742/… – papanito Jan 20 '20 at 6:35
  • Please find the MariaDB error log file and add the lines since the attempted MariaDB startup in your question. That should give us more detailed information. By default the .err file is located in the datadir which by default is at /var/lib/mysql. – dbdemon Jan 22 '20 at 9:42
  • 1
    journalctl -u mariadb.service – danblack Mar 19 '20 at 7:36

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.